Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTipCategory Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| getByParent ( $parent)
| path ( $categoryID=0)
| getTree ( $parentID=0, $level=0)
| id ()
| name ( $html=true)
| description ( $html=true)
| parent ()
| ispublished ()
| locationID ()
| setName ( $value)
| setDescription ( $value)
| setParent ( $value)
| setLocationID ( $value)
| setIsPublished ( $value)
| setSectionArray ( $value)
| getSectionArray ()
| addTip ( $value)
& | tiplist ( $sortMode="name", $fetchUnActive=false, $offset=0, $limit=50)
& | tips ( $sortMode="name", $fetchUnActive=false, $offset=0, $limit=50, $tipLocationID=0)

## Public Attributes
| $ID
| $Name
| $ParentID
| $Description
| $IsPublished
| $SectionID
| $tipLocationID
| $LocationID
| $SectionArray

## Detailed Description

! eZTip eZTipCategory handles banner ad categories.

See also
  eZTip

TODO

Definition at line 43 of file eztipcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTipCategory::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZTipCategory object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file eztipcategory.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addTip()

eZTipCategory::addTip | ( |  | $value | ) |

Tipds a ad to the category.

Definition at line 445 of file eztipcategory.php.

References $db, $query, $res, and eZDB\globalDatabase().

## ◆ delete()

eZTipCategory::delete | ( |  | ) |

Deletes a eZTipCategory object from the database.

Definition at line 121 of file eztipcategory.php.

References $db, $link, and eZDB\globalDatabase().

## ◆ description()

eZTipCategory::description | ( |  | $html = `true` | ) |

Returns the tip description.

Definition at line 312 of file eztipcategory.php.

References $Description.

## ◆ get()

eZTipCategory::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 151 of file eztipcategory.php.

References $category_array, $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZTipCategory::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZTipCategory objects.

Definition at line 184 of file eztipcategory.php.

References $category_array, $db, $i, and eZDB\globalDatabase().

## ◆ getByParent()

eZTipCategory::getByParent | ( |  | $parent | ) |

Returns the categories with the category given as parameter as parent.

The categories are returned as an array of eZTipCategory objects.

Definition at line 206 of file eztipcategory.php.

References $category_array, $db, $i, and eZDB\globalDatabase().

## ◆ getSectionArray()

eZTipCategory::getSectionArray | ( |  | ) |

Returns the section list.

Definition at line 427 of file eztipcategory.php.

References $ret, and $SectionID.

## ◆ getTree()

eZTipCategory::getTree | ( |  | $parentID = `0`,
|  |  | $level = `0`
| ) |  |

Definition at line 269 of file eztipcategory.php.

References $category, $categoryList, $level, and $tree.

## ◆ id()

eZTipCategory::id | ( |  | ) |

Returns the object ID to the category. This is the unique ID stored in the database.

Definition at line 293 of file eztipcategory.php.

References $ID.

## ◆ ispublished()

eZTipCategory::ispublished | ( |  | ) |

Returns true if the category is to be published, false if not.

Definition at line 338 of file eztipcategory.php.

References $ret.

## ◆ locationID()

eZTipCategory::locationID | ( |  | ) |

Returns the Location ID of the tip category.

Definition at line 351 of file eztipcategory.php.

References $LocationID.

## ◆ name()

eZTipCategory::name | ( |  | $html = `true` | ) |

Returns the name of the category.

Definition at line 302 of file eztipcategory.php.

References $Name, and Name.

## ◆ parent()

eZTipCategory::parent | ( |  | ) |

Returns the parent if one exist. If not 0 is returned.

Definition at line 322 of file eztipcategory.php.

## ◆ path()

eZTipCategory::path | ( |  | $categoryID = `0` | ) |

Returns the current path as an array of arrays.

The array is built up like: array( array( id, name ), array( id, name ) );

See detailed description for an example of usage.

Definition at line 241 of file eztipcategory.php.

References $category, $categoryID, and $ID.

## ◆ setDescription()

eZTipCategory::setDescription | ( |  | $value | ) |

Sets the description of the category.

Definition at line 366 of file eztipcategory.php.

## ◆ setIsPublished()

eZTipCategory::setIsPublished | ( |  | $value | ) |

Sets the exclude from search bit. The argumen can be true or false.

Definition at line 391 of file eztipcategory.php.

## ◆ setLocationID()

eZTipCategory::setLocationID | ( |  | $value | ) |

Sets the Location ID.

Definition at line 382 of file eztipcategory.php.

## ◆ setName()

eZTipCategory::setName | ( |  | $value | ) |

Sets the name of the category.

Definition at line 358 of file eztipcategory.php.

References Name.

## ◆ setParent()

eZTipCategory::setParent | ( |  | $value | ) |

Sets the parent category.

Definition at line 374 of file eztipcategory.php.

## ◆ setSectionArray()

eZTipCategory::setSectionArray | ( |  | $value | ) |

Definition at line 403 of file eztipcategory.php.

References $ret, and $section.

## ◆ store()

eZTipCategory::store | ( |  | ) |

Stores a eZTipCategory object to the database.

Definition at line 65 of file eztipcategory.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ tiplist()

& eZTipCategory::tiplist | ( |  | $sortMode = `"name"`,
|  |  | $fetchUnActive = `false`,
|  |  | $offset = `0`,
|  |  | $limit = `50`
| ) |  |

Returns every ad in a category as a array of eZTip objects.

It does not return unactive tips unless $fetchUnActive is set to true.

Definition at line 482 of file eztipcategory.php.

References $db, $limit, $offset, $tip, and eZDB\globalDatabase().

## ◆ tips()

& eZTipCategory::tips | ( |  | $sortMode = `"name"`,
|  |  | $fetchUnActive = `false`,
|  |  | $offset = `0`,
|  |  | $limit = `50`,
|  |  | $tipLocationID = `0`
| ) |  |

Returns every ad in a category as a array of eZTip objects.

It does not return unactive tips unless $fetchUnActive is set to true.

Definition at line 519 of file eztipcategory.php.

References $db, $GlobalSectionID, $i, $limit, $offset, $section, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Description

eZTipCategory::$Description

Definition at line 580 of file eztipcategory.php.

Referenced by description().

## ◆ $ID

eZTipCategory::$ID

Definition at line 577 of file eztipcategory.php.

Referenced by __construct(), id(), and path().

## ◆ $IsPublished

eZTipCategory::$IsPublished

Definition at line 581 of file eztipcategory.php.

## ◆ $LocationID

eZTipCategory::$LocationID

Definition at line 585 of file eztipcategory.php.

Referenced by locationID().

## ◆ $Name

eZTipCategory::$Name

Definition at line 578 of file eztipcategory.php.

Referenced by name().

## ◆ $ParentID

eZTipCategory::$ParentID

Definition at line 579 of file eztipcategory.php.

## ◆ $SectionArray

eZTipCategory::$SectionArray

Definition at line 586 of file eztipcategory.php.

## ◆ $SectionID

eZTipCategory::$SectionID

Definition at line 582 of file eztipcategory.php.

Referenced by getSectionArray().

## ◆ $tipLocationID

eZTipCategory::$tipLocationID

Definition at line 584 of file eztipcategory.php.

The documentation for this class was generated from the following file:

- eztipcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.